# Burst

A simple CLI tool for load testing specific endpoints.

Or just try this: http://servermonitoringhq.com/blog/how_to_quickly_stress_test_a_web_server

### Usage

```bash
burst --request GET 'https://dev.bergx.io/api/v1/apps/users' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer {{authtoken}}' \
--out data.json \
--rate max
```

Which is similar to:
```bash
curl --location --request GET '192.168.1.69:8080/api/v1/apps/users' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{authtoken}}' \
--data-raw ''
```

### Options

`-r | --request method url` specifies the method type for the request and the url to test.

`-H | --header` will allow you to attach any headers to your request.

`-o path | --out path` specifies the output file for data gathered.

`-c path | --config path` specifies the file for a configured test.


### Config file

In the config file you can specify many requests and the rate at which to test them.

```json
{
  "": ""
}
```
